Advertisement

Heroic Game Launcher Rocket League başlatmıyor

sivrisinekz

Decapat
Katılım
12 Şubat 2021
Mesajlar
1.148
Makaleler
7
Çözümler
24
Kod:
Launch Command: WINEPREFIX=/home/pc/Games/Heroic/Prefixes/rocketleague WINEESYNC=1 WINEFSYNC=1 -opengl= -d3d11= /opt/Heroic/resources/app.asar.unpacked/build/bin/linux/legendary launch Sugar --wine /home/pc/.local/share/lutris/runners/wine/lutris-fshack-7.2-x86_64/bin/wine --wine-prefix /home/pc/Games/Heroic/Prefixes/rocketleague -d3d11

System Info:

 Heroic Version: 2.3.2 Brook.
 Legendary Version: 0.20.25 Our Benefactors.
 OS: ManjaroLinux KERNEL: 5.15.38-1-MANJARO ARCH: x64.
 CPU: Intel Core™ i5-2450M @2.5 GOVERNOR: schedutil.
 RAM: Total: 5.71 GiB Available: 4.48 GiB.
 GRAPHICS: GPU0: 2nd Generation Core Processor Family Integrated Graphics Controller VRAM: 256MB DRIVER: GPU1: GF119M [GeForce GT 520MX] VRAM: 32MB DRIVER:
 PROTOCOL: x11.

Game Settings: {
 "autoInstallDxvk": false,
 "autoInstallVkd3d": true,
 "enableEsync": true,
 "enableFSR": false,
 "enableFsync": true,
 "maxSharpness": 2,
 "launcherArgs": "-d3d11",
 "nvidiaPrime": false,
 "otherOptions": "-opengl -d3d11",
 "savesPath": "",
 "showFps": false,
 "targetExe": "",
 "useGameMode": false,
 "wineCrossoverBottle": "Heroic",
 "winePrefix": "/home/pc/Games/Heroic/Prefixes/rocketleague",
 "wineVersion": {
 "bin": "/home/pc/.local/share/lutris/runners/wine/lutris-fshack-7.2-x86_64/bin/wine",
 "name": "Wine - lutris-fshack-7.2-x86_64",
 "type": "wine",
 "wineserver": "/home/pc/.local/share/lutris/runners/wine/lutris-fshack-7.2-x86_64/bin/wineserver",
 "wineboot": "/home/pc/.local/share/lutris/runners/wine/lutris-fshack-7.2-x86_64/bin/wineboot"
 },
 "useSteamRuntime": false.
}

Error Log:
[cli] INFO: Logging in...
[Core] INFO: Trying to re-use existing login session...
[cli] INFO: Checking for updates...
[Core] INFO: Getting authentication token...
[cli] INFO: Launching Sugar...
fsync: up and running.
002c:fixme:winediag:LdrInitializeThunk Lutris Wine 7.2 is a testing version containing experimental patches.
002c:fixme:winediag:LdrInitializeThunk Please don't report bugs about it on winehq.org and use https://github.com/lutris/wine/issues instead.
Xlib: extension "NV-GLX" missing on display ":0.0".
0110:fixme:kernelbase:AppPolicyGetThreadInitializationType FFFFFFFFFFFFFFFA, 0000000001E5FF80.
010c:fixme:toolhelp:CreateToolhelp32Snapshot Unimplemented: heap list snapshot.
010c:fixme:toolhelp:Heap32ListFirst : stub.
010c:fixme:ntdll:NtQuerySystemInformation info_class SYSTEM_PERFORMANCE_INFORMATION
010c:err:wldap32:DllMain No libldap support, expect problems.
010c:err:kerberos:kerberos_LsaApInitializePackage no Kerberos support, expect problems.
info: Game: RocketLeague.exe
info: DXVK: v1.10.1
info: Built-in extension providers:
info: Win32 WSI.
info: OpenVR.
info: OpenXR.
info: OpenVR: could not open registry key, status 2
info: OpenVR: Failed to locate module.
info: Enabled instance extensions:
info: VK_KHR_get_surface_capabilities2
info: VK_KHR_surface.
info: VK_KHR_win32_surface.
Xlib: extension "NV-GLX" missing on display ":0.0".
010c:err:vulkan:wine_vk_instance_load_physical_devices Failed to enumerate physical devices, res=-3
010c:err:vulkan:wine_vkCreateInstance Failed to load physical devices, res=-3
err: DxvkInstance::createInstance: Failed to create Vulkan 1.1 instance.
010c:fixme:faultrep:ReportFault 00000000004EEB50 0x0 stub.

Game Log:
Warning, Command line -d3d11 set, but D3D11 is not supported on this machine. Will fallback to older API.

Hata bu Wine ile açmaya çalışıyorum başka seçenek de yok zaten.

Nasıl çözeriz?
 

Recep Baltaş

Technopat
Yönetici
Katılım
14 Ağustos 2010
Mesajlar
74.991
Makaleler
198
Çözümler
1.819
Yer
İstanbul
Sorunun sebebi bu olmayabilir ama logda sistemin d3d11 desteklemediği ve bu yüzden eski API'ye döneceği yazılıyor. Onu kaldırıp dener misiniz?

Bir de eskik paketler olabilirmiş. Yüklemek için:

Kod:
sudo apt-get install mesa-vulkan-drivers:i386

Kod:
sudo apt-get install libvulkan1 libvulkan-dev vulkan-utils
sudo apt-get install mesa-vulkan-drivers
sudo apt-get install dxvk
winetricks dxvk
 
KS
KS
sivrisinekz

sivrisinekz

Decapat
Katılım
12 Şubat 2021
Mesajlar
1.148
Makaleler
7
Çözümler
24
Sorunun sebebi bu olmayabilir ama logda sistemin d3d11 desteklemediği ve bu yüzden eski API'ye döneceği yazılıyor. Onu kaldırıp dener misiniz?

Bir de eskik paketler olabilirmiş. Yüklemek için:

Kod:
sudo apt-get install mesa-vulkan-drivers:i386

Kod:
sudo apt-get install libvulkan1 libvulkan-dev vulkan-utils
sudo apt-get install mesa-vulkan-drivers
sudo apt-get install dxvk.
winetricks dxvk

Pardon söylemeyi unutmuşum. Sistemim Manjaro.
 
Yukarı